# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Jun 21 20:44:00 2023
# ------------------------------------------------

package:
  name: librdkafka
  version: 2.1.1
source:
  sha256: 7be1fc37ab10ebdc037d5c5a9b35b48931edafffae054b488faaff99e60e0108
  url: https://github.com/confluentinc/librdkafka/archive/refs/tags/v2.1.1.tar.gz
build:
  number: '0'
  run_exports:
    - librdkafka >=2.1.1,<2.2.0a0
  string: hffa94fe_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - ca-certificates 2023.05.30 h06a4308_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.8 h7f8727e_0
    - pkg-config 0.29.2 h1bed415_8
    - pkgconfig 1.5.5 py39h06a4308_0
    - python 3.9.16 h955ad1f_3
    - readline 8.2 h5eee18b_0
    - sqlite 3.41.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2023.05.30 h06a4308_0
    - cyrus-sasl 2.1.28 h52b45da_0
    - krb5 1.20.1 h143b758_1
    - libedit 3.1.20221030 h5eee18b_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libntlm 1.6 h7f8727e_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - lz4-c 1.9.4 h6a678d5_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.8 h7f8727e_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  run:
    - cyrus-sasl >=2.1.28,<3.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - lz4-c >=1.9.4,<1.10.0a0
    - openssl 3.*
    - openssl >=3.0.8,<4.0a0
    - zlib >=1.2.13,<1.3.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - test -f ${PREFIX}/lib/librdkafka${SHLIB_EXT}
    - test -f ${PREFIX}/lib/librdkafka++${SHLIB_EXT}
about:
  description: 'librdkafka is a C library implementation of the Apache Kafka protocol,

    containing both Producer and Consumer support. It was designed with message

    delivery reliability and high performance in mind, current figures exceed 1

    million msgs/second for the producer and 3 million msgs/second for the

    consumer.

    '
  dev_url: https://github.com/confluentinc/librdkafka
  doc_url: https://github.com/confluentinc/librdkafka#documentation
  home: https://github.com/confluentinc/librdkafka
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: The Apache Kafka C/C++ client library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f17e904e-2937-46cb-9651-33d7c4e3ff6d
  recipe-maintainers:
    - StephenSmith25
    - kwilcox
    - stuarteberg
  remote_url: git@github.com:AnacondaRecipes/librdkafka-feedstock.git
  sha: 4036d483e967fe1c64fc374355e80ac2e651a3fa
